__gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > Class Template Reference
Inheritance diagram for __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >:
[legend]

## Public Types

typedef rebind_traits< _Alloc, value_type >::const_pointer | const_pointer
typedef rebind_traits< _Alloc, value_type >::const_reference | const_reference
typedef trivial_iterator_difference_type | difference_type
typedef trivial_iterator_tag | iterator_category
typedef rebind_traits< _Alloc, value_type >::pointer | pointer
typedef rebind_traits< _Alloc, value_type >::reference | reference
typedef Node::value_type | value_type

## Public Member Functions

| left_child_next_sibling_heap_node_point_const_iterator_ ()
| left_child_next_sibling_heap_node_point_const_iterator_ (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other)
| left_child_next_sibling_heap_node_point_const_iterator_ (node_pointer p_nd)
bool | operator!= (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) const
const_reference | operator* () const
const_pointer | operator-> () const
bool | operator== (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) const

## Public Attributes

node_pointer | m_p_nd

## Protected Types

typedef rebind_traits< _Alloc, Node >::pointer | node_pointer

## Detailed Description

### template<typename Node, typename _Alloc>
class __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >

Const point-type iterator.

Definition at line 61 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## Member Typedef Documentation

## const_pointer

template<typename Node , typename _Alloc >

typedef rebind_traits<_Alloc, value_type>::const_pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::const_pointer

Iterator's const pointer type.

Definition at line 81 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## const_reference

template<typename Node , typename _Alloc >

typedef rebind_traits<_Alloc, value_type>::const_reference __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::const_reference

Iterator's const reference type.

Definition at line 88 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## difference_type

template<typename Node , typename _Alloc >

typedef trivial_iterator_difference_type __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::difference_type

Difference type.

Definition at line 71 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## iterator_category

template<typename Node , typename _Alloc >

typedef trivial_iterator_tag __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::iterator_category

Category.

Definition at line 68 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## pointer

template<typename Node , typename _Alloc >

typedef rebind_traits<_Alloc, value_type>::pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::pointer

Iterator's pointer type.

Definition at line 77 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## reference

template<typename Node , typename _Alloc >

typedef rebind_traits<_Alloc, value_type>::reference __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::reference

Iterator's reference type.

Definition at line 84 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## value_type

template<typename Node , typename _Alloc >

typedef Node::value_type __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::value_type

Iterator's value type.

Definition at line 74 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## Constructor & Destructor Documentation

## left_child_next_sibling_heap_node_point_const_iterator_() [1/2]

template<typename Node , typename _Alloc >

__gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::left_child_next_sibling_heap_node_point_const_iterator_ | ( |  | ) |

inline

Default constructor.

Definition at line 96 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## left_child_next_sibling_heap_node_point_const_iterator_() [2/2]

template<typename Node , typename _Alloc >

__gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::left_child_next_sibling_heap_node_point_const_iterator_ | ( | const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > & | other | ) |

inline

Copy constructor.

Definition at line 101 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## Member Function Documentation

## operator!=()

template<typename Node , typename _Alloc >

bool __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator!= | ( | const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > & | other | ) | const

inline

Compares content (negatively) to a different iterator object.

Definition at line 127 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## operator*()

template<typename Node , typename _Alloc >

const_reference __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator* | ( |  | ) | const

inline

Access.

Definition at line 114 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## operator->()

template<typename Node , typename _Alloc >

const_pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator-> | ( |  | ) | const

inline

Access.

Definition at line 106 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

## operator==()

template<typename Node , typename _Alloc >

bool __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator== | ( | const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > & | other | ) | const

inline

Compares content to a different iterator object.

Definition at line 122 of file left_child_next_sibling_heap_/point_const_iterator.hpp.

The documentation for this class was generated from the following file:

- left_child_next_sibling_heap_/point_const_iterator.hpp